> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf-media/untitled/players.md).

# Players

This endpoint returns information on all players, including:

* Player ID
* Player name
* Country
* Date of birth (if known)
* European tour ID
* PGA tour ID

### Endpoint URLs

Legacy - `https://dde-api.data.imgarena.com/golf/players` (Decommissioning on 30th Sept 2026)

**NEW** - `https://dde-api.data.srarena.io/golf/players`

### Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

### Request Parameters

This endpoint currently takes the following parameters:

| Parameter | Value                                                                                                                                    |
| --------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| results   | Used to decide how many results you would like in the response. Default is 100.                                                          |
| offset    | Used in conjunction with results, if you use \&results=100\&offset=1 this will give you the first page of 100 results from this endpoint |

NB: By passing ‘results’ you will gather the first 100 results by default and by-passing results=100\&offset=2 this will return the first 100 on page 2.

If no parameters are passed, the endpoint will return the first 100 players

### Response Model

\
**Player Summary Object**

| Field Name           | Type    | Description                                                                                                                                       |
| -------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| playerId             | integer | The ID of the player that will be referenced across the DDE                                                                                       |
| playerEuropeanTourId | string  | The European Tour ID of the player (if applicable, if not, null)                                                                                  |
| playerRandAId        | integer | Players R\&A Id (if relevant)                                                                                                                     |
| playerPGATourId      | string  | The PGA Tour ID of the player (if applicable, if not, null)                                                                                       |
| displayName          | string  | The display name of the player (encoded in UTF-8)                                                                                                 |
| firstName            | string  | The first name of the player (encoded in UTF-8)                                                                                                   |
| lastName             | string  | The last name of the player (encoded in UTF-8)                                                                                                    |
| pending              | boolean | Pending flag if the player needs to be verified by our support team. Note that if this flag is true, the player name will be marked as "Unknown". |
| country              | string  | The ISO country code of the country in which the tournament is taking place                                                                       |
| isAmateur            | boolean | Is the player an amateur or not                                                                                                                   |
| isActive             | boolean |                                                                                                                                                   |
| gender               | string  | The gender of the player                                                                                                                          |
| dateOfBirth          | date    | Player’s date of birth, null if unknown                                                                                                           |

````
```json
 "players": [
        {
            "europeanTourRanking": null,
            "playerSummary": {
                "country": "ENG",
                "dateOfBirth": null,
                "displayName": "Chris Paisley",
                "firstName": "Chris",
                "gender": "Male",
                "isActive": true,
                "isAmateur": false,
                "lastName": "Paisley",
                "pending": false,
                "playerEuropeanTourId": "37086",
                "playerId": 1,
                "playerLPGATourId": null,
                "playerPGATourId": "34414",
                "playerRandAId": null
            }
        },
        {
            "europeanTourRanking": null,
            "playerSummary": {
                "country": "ITA",
                "dateOfBirth": null,
                "displayName": "Nino Bertasio",
                "firstName": "Nino",
                "gender": "Male",
                "isActive": true,
                "isAmateur": false,
                "lastName": "Bertasio",
                "pending": false,
                "playerEuropeanTourId": "35602",
                "playerId": 2,
                "playerLPGATourId": null,
                "playerPGATourId": "32252",
                "playerRandAId": null
            }
        },
        {
            "europeanTourRanking": null,
            "playerSummary": {
                "country": "ENG",
                "dateOfBirth": null,
                "displayName": "Matt Wallace",
                "firstName": "Matt",
                "gender": "Male",
                "isActive": true,
                "isAmateur": false,
                "lastName": "Wallace",
                "pending": false,
                "playerEuropeanTourId": "39617",
                "playerId": 3,
                "playerLPGATourId": null,
                "playerPGATourId": "48887",
                "playerRandAId": "142323"
            }
        },
        {
            "europeanTourRanking": null,
            "playerSummary": {
                "country": "BEL",
                "dateOfBirth": null,
                "displayName": "Thomas Detry",
                "firstName": "Thomas",
                "gender": "Male",
                "isActive": true,
                "isAmateur": false,
                "lastName": "Detry",
                "pending": false,
                "playerEuropeanTourId": "37017",
                "playerId": 4,
                "playerLPGATourId": null,
                "playerPGATourId": "33653",
                "playerRandAId": "146598"
            }
```
````

**European Tour Ranking Object**

Currently will be null – these docs will be updated when this is available.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/golf-media/untitled/players.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
